Sun Java System Application Server Platform Edition 8.1 2005Q2 Update 2 Reference Manual

## create-jmsdest(1)

NAME | SYNOPSIS | DESCRIPTION | OPTIONS | OPERANDS | EXAMPLES | EXIT STATUS | SEE ALSO

#### NAME

create-jmsdest– creates a physical destination

#### SYNOPSIS

`create-jmsdest` ––user admin_user [––passwordfile filename] [––host host_name] [––port port_number] [––secure|`–s`] [––terse=false] [––echo=false] [––interactive=true] [––help] [––target target] ––desttype dest_type [`––property (name=value)[:name=value]*`] dest_name

#### DESCRIPTION

The `create-jmsdest` command creates a JMS physical destination. Along with the physical destination, you use the `create-jms-resource` command to create a JMS destination resource that has a `Name` property that specifies the physical destination. This command is supported in remote mode only.

#### OPTIONS

`–u` `––user`

  The authorized domain application server administrative username.

`–w` `––password`

  The `––password` option is deprecated. Use `––passwordfile` instead.

`––passwordfile`

  This option replaces the `–– password` option. Using the `––password` option on the command line or through the environment is deprecated. The `––passwordfile` option specifies the name of a file containing the password entries in a specified format. The entry for the password must have the AS_ADMIN_ prefix followed by the password name in capital letters. For example, to specify the domain application server password, use an entry with the following format: `AS_ADMIN_PASSWORD`=password, where password is the actual administrator password. Other passwords that can be specified include AS_ADMIN_MAPPEDPASSWORD, AS_ADMIN_USERPASSWORD, AS_ADMIN_SAVEDMASTERPASSWORD, AS_ADMIN_MQPASSWORD, AS_ADMIN_ALIASPASSWORD, and so on.

`–H` `––host`

  The machine name where the domain application server is running. The default value is localhost.

`–p` `––port`

  The port number of the domain application server listening for administration requests. The default port number for Platform Edition is 4848. The default port number for Enterprise Edition is 4849.

`–s` `––secure`

  If set to true, uses SSL/TLS to communicate with the domain application server.

`–t` `––terse`

  Indicates that any output data must be very concise, typically avoiding human-friendly sentences and favoring well-formatted data for consumption by a script. Default is false.

`–e` `––echo`

  Setting to true will echo the command line statement on the standard output. Default is false.

`–I` `––interactive`

  If set to true (default), only the required password options are prompted.

`–h` `––help`

  Displays the help text for the command.

`––target`

  In Enterprise Edition, specifies the target for which you are creating the physical destination. Although the `create-jmsdest` command is related to resources, a physical destination is created using the JMS Service, which is part of the configuration. Valid values are

  - `server`, which creates the physical destination for the default server instance `server` and is the default value

  - configuration_name, which creates the physical destination for the named configuration

  - cluster_name, which creates the physical destination for every server instance in the cluster

  - instance_name, which creates the physical destination for a particular server instance

`–T` `––desttype`

  The type of the JMS destination. Valid values are `topic` and `queue`.

`––property`

  Optional attribute name/value pairs for configuring the physical destination. You can specify the following property for a physical destination:

  Property | Definition
  --- | ---
  maxNumActiveConsumers | The maximum number of consumers that can be active in load-balanced delivery from a queue destination. A value of -1 means an unlimited number. The default is 1. (Platform Edition limits this value to 2.)

  To modify the value of this property or to specify other physical destination properties, use the install_dir`/imq/bin/imqcmd` command. See the Sun Java System Message Queue 3 2005Q1 Administration Guide for more information.

#### OPERANDS

dest_name

  A unique identifier for the the JMS destination to be created.

#### EXAMPLES

##### Example 1 Using the create-jmsdest command

The following command creates a JMS physical queue named `PhysicalQueue`.

    asadmin> create-jmsdest --user admin
    --passwordfile passwords.txt --host localhost --port 4848 --desttype queue
    --property User=public:Password=public PhysicalQueue
    Command create-jmsdest executed successfully.

#### EXIT STATUS

0

  command executed successfully

1

  error in executing the command

#### SEE ALSO

create-jms-resource(1), delete-jmsdest(1), list-jmsdest(1)

J2EE SDK 1.4 Last Revised 31 Jan 2005

NAME | SYNOPSIS | DESCRIPTION | OPTIONS | OPERANDS | EXAMPLES | EXIT STATUS | SEE ALSO

- © 2010, Oracle Corporation and/or its affiliates